Main Page | Class List | File List | Class Members | File Members | Related Pages

# SOAP_ENV__Header Struct Reference

Added. More...

`#include <wsa5.h>`

Collaboration diagram for SOAP_ENV__Header:

[legend]
List of all members.

## Public Attributes
_wsrm__Sequence * | wsrm__Sequence
int | __sizeAckRequested
_wsrm__AckRequested * | wsrm__AckRequested
int | __sizeSequenceAcknowledgement
_wsrm__SequenceAcknowledgement * | wsrm__SequenceAcknowledgement
_wsrm__SequenceFault * | wsrm__SequenceFault
_wsa5__MessageID | wsa5__MessageID
_wsa5__RelatesTo * | wsa5__RelatesTo
_wsa5__From * | wsa5__From
mustUnderstand _wsa5__ReplyTo * | wsa5__ReplyTo
mustUnderstand _wsa5__FaultTo * | wsa5__FaultTo
mustUnderstand _wsa5__To | wsa5__To
mustUnderstand _wsa5__Action | wsa5__Action

## Detailed Description

Added.

## Member Data Documentation

int SOAP_ENV__Header::__sizeAckRequested

int SOAP_ENV__Header::__sizeSequenceAcknowledgement

mustUnderstand _wsa5__Action SOAP_ENV__Header::wsa5__Action

mustUnderstand _wsa5__FaultTo* SOAP_ENV__Header::wsa5__FaultTo

_wsa5__From* SOAP_ENV__Header::wsa5__From

_wsa5__MessageID SOAP_ENV__Header::wsa5__MessageID

_wsa5__RelatesTo* SOAP_ENV__Header::wsa5__RelatesTo

mustUnderstand _wsa5__ReplyTo* SOAP_ENV__Header::wsa5__ReplyTo

mustUnderstand _wsa5__To SOAP_ENV__Header::wsa5__To

_wsrm__AckRequested* SOAP_ENV__Header::wsrm__AckRequested

_wsrm__Sequence* SOAP_ENV__Header::wsrm__Sequence

_wsrm__SequenceAcknowledgement* SOAP_ENV__Header::wsrm__SequenceAcknowledgement

_wsrm__SequenceFault* SOAP_ENV__Header::wsrm__SequenceFault

The documentation for this struct was generated from the following files:

- /Users/engelen/Projects/gsoap/import/wsrx.h
- /Users/engelen/Projects/gsoap/import/wsa5.h